JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.util
Class SharedTableReader

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.util.SharedTableReader

public class SharedTableReader
extends java.lang.Object

Provides read-only access to a shared table.

Method Summary
`java.util.Enumeration` `elements()`
`java.lang.Object` `get(java.lang.Object name)` Get an object out of the table.
`java.util.Enumeration` `keys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public java.lang.Object get(java.lang.Object name)

  Get an object out of the table.
  Parameters:
    `name` - The identifier associated with the object.
  Returns:
    The object associated with the given identifier.

### keys

    public java.util.Enumeration keys()

  Returns:
    An enumeration containing the key values in the table.

### elements

    public java.util.Enumeration elements()

  Returns:
    An enumeration containing the key values in the table.

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002